---
title: WorkerGlobalScope.navigator
slug: Web/API/WorkerGlobalScope/navigator
tags:
  - API
  - Navigator
  - Property
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
---
<div>{{APIRef("Web Workers API")}}</div>

<p>The <code><strong>navigator</strong></code> read-only property of the {{domxref("WorkerGlobalScope")}} interface returns the {{domxref("WorkerNavigator")}} associated with the worker. It is a specific navigator object, mostly a subset of the {{domxref("Navigator")}} for browsing scopes, but adapted to workers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var navigatorObj = self.navigator;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("WorkerNavigator")}} object.</p>

<h2 id="Example">Example</h2>

<p>If you call the following</p>

<pre class="brush: js">console.log(navigator);</pre>

<p>inside a worker (which would basically be the equivalent of <code>self.console.log(self.navigator);</code>, as these are being called on the worker scope, which can be referenced with {{domxref("WorkerGlobalScope.self")}}), you will get a {{domxref("WorkerNavigator")}} object written to the console — something like the following:</p>

<pre class="brush: js">Object {onLine: true, userAgent: "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_1) Ap…ML, like Gecko) Chrome/40.0.2214.93 Safari/537.36", product: "Gecko", platform: "MacIntel", appVersion: "5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKi…ML, like Gecko) Chrome/40.0.2214.93 Safari/537.36"…}
    appCodeName: "Mozilla"
    appName: "Netscape"
    appVersion: "5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/40.0.2214.93 Safari/537.36"
    hardwareConcurrency: 4
    onLine: true
    platform: "MacIntel"
    product: "Gecko"
    userAgent: "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/40.0.2214.93 Safari/537.36"
    __proto__: Object</pre>

<p>You could use this navigator object to return more information about the runtime envinronment, as you might do with a normal {{domxref("Navigator")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-worker-navigator', 'navigator')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.navigator")}}</p>

<h2 id="See_also">See also</h2>

<p>{{domxref("WorkerNavigator")}}</p>
